<?php
/**
 * Page navigation view
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div class="ipswb-sidebar">
  <div class="ipswb-sidebar-inner">
    <input type="hidden" name="tab_selected" id="ipswb-tab-selected" value="<?php echo $this->tab; ?>" />
    <ul class="ipswb-page-menu ipswb-tab-menu">
      <li>
        <a href="#ipswb-section-general" class="active">
          <i class="ipswb-fa ipswb-fa-cogs"></i>
          <strong><?php _e( 'General', IPSWB_SLUG ); ?></strong>
        </a>
      </li>
      <?php
      if ( $this->box ):
      ?>
      <li>
        <a href="#ipswb-section-items">
          <i class="ipswb-fa ipswb-fa-th-large"></i>
          <strong><?php _e( 'Box Items', IPSWB_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipswb-section-statistic">
          <i class="ipswb-fa ipswb-fa-bar-chart"></i>
          <strong><?php _e( 'Statistic', IPSWB_SLUG ); ?></strong>
        </a>
      </li>
      <?php
      /*
      <li>
        <a class="ipswb-page-menu-preview _boxes" href="#ipswb-section-preview">
          <i class="ipswb-fa ipswb-fa-eye"></i>
          <strong><?php _e( 'Preview', IPSWB_SLUG ); ?></strong>
        </a>
      </li>
      */
      ?>
      <?php
      endif;
      ?>
    </ul>
  </div>
</div>
