<?php
/**
 * Box style
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$style = $this->styleSetting;
//
//Image
$imgurl = false;
if ( $bgimg = $style->getSetting( 'box_background_image' ))
{
    $data = wp_get_attachment_image_src( $bgimg, 'full' );
    if ( ! empty( $data[0] )) {
        $imgurl = $data[0];
    }
}
$repeat   = $style->getSetting( 'box_background_repeat', 'repeat' );
$bgcolor  = $style->getSetting( 'box_background_color', '#f9f9f9' );
$bowidth  = $style->getSetting( 'box_border_width' );
$bocolor  = $style->getSetting( 'box_border_color', '#dddddd' );
?>

.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-box-background
{
  background-color: <?php echo $bgcolor ?>;
  <?php
  if ( $imgurl ) {
    echo 'background-image: url(' . $imgurl . ');';
    echo 'background-repeat:'. $repeat . ';';
  }
  if ( $opacity = $style->getSetting( 'background_opacity' )) {
      $value = $opacity/100;
      echo 'opacity:' . $value . ';';
  }
  ?>
}
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-box-inner
{
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-box-detail .ipswb-overlay
{
  background-color: <?php echo $style->getSetting( 'content_detail_overlay_color', '#000000' ); ?>;
  opacity: <?php echo $style->getSetting( 'content_detail_overlay_opacity', 20 ); ?>;
}


.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-box-v .ipswb-box,
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-box-v .ipswb-box-inner
{
  height: <?php echo $style->getSetting( 'box_height', 180 ); ?>px;
}
