<?php
if ( ! class_exists( 'IPSwb_Controller' ))
{
  /**
   * Controller class
   *
   * @package wp-slideshow-master
   * @author InstaProduct
   * @link http://insta-product.com/
   */

  class IPSwb_Controller
  {
    //{{ ajax

    /**
     * Ajax handler
     *
     * @return void
     */
    public function ajax()
    {
      $data = array_merge( $_GET, $_POST );
      if ( empty( $data['doajax'] ) || empty( $data['ipswb'] ) || empty( $data['action'] ) ) {
          return true;
      }
      $action = sanitize_title( $data['action'] );
      $file   = IPSWB_CTRL . 'ajax_' . $action . '.php';
      if ( file_exists( $file ))
      {
        require_once( $file );
        $class = 'IPSwb_Ajax_' . ucfirst( $action );
        if ( class_exists( $class ) ) {
          $ctrl = new $class();
          if ( method_exists( $ctrl, 'exec' )) {
            $ctrl->exec();
          }
        }
      }
      return true;
    }
  }
}
