<?php
/**
 * Controller to handling deleting boxes process
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPSwb_Ajax_Delete_boxes' ))
{
  class IPSwb_Ajax_Delete_boxes
  {
    /**
     * Execution save options process
     *
     * @return void
     */
    public function exec()
    {
      $item = false;
      if ( ! empty( $_REQUEST['id'] )) {
        $id   = absint( $_REQUEST['id'] );
        $item = get_post( $id );
      }
      if ( ! $item ) {
        echo json_encode( array(
          'status'   => 0,
          'message'  => __( 'Error system', IPSWB_SLUG )
        ) );
        die();
      }
      $result = wp_delete_post( $item->ID, true );
      if ( $result ) {
        echo json_encode( array(
          'status'   => 1,
          'message'  => __( 'Slideshow successfully deleted', IPSWB_SLUG ),
          'redirect' => admin_url() . 'admin.php?page=' . IPSWB_PAGENAME . '&delete=1'
        ) );
      } else {
        echo json_encode( array(
          'status'  => 0,
          'message' => __( 'Failed to remove the slideshow', IPSWB_SLUG )
        ) );
      }
      die();
    }
  }
}
