<?php
/**
 * Manage box items view
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipswb-section-items" class="ipswb-tab-content ipswb-save-hide">
  <div class="ipswb-tab-inner">

    <div class="ipswb-title-content ipswb-hide">
      <i class="ipswb-fa ipswb-fa-cogs"></i>
      <div class="ipswb-title-text">
        <h3><?php _e( 'Box Items', IPSWB_SLUG ); ?></h3>
        <p><?php _e( 'Manage slideshow box items', IPSWB_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipswb-fields -->
    <div class="ipswb-fields">

      <?php
      if ( isset( $_GET['createbox'] )) :
      ?>
      <div class="ipswb-alert ipswb-alert-success" style="display: block;">
        <?php _e( 'Successfully add a box.', IPSWB_SLUG ); ?>
      </div>
      <?php
      elseif ( isset( $_GET['deletebox'] )) :
      ?>
      <div class="ipswb-alert ipswb-alert-success" style="display: block;">
        <?php _e( 'Successfully deleting a box.', IPSWB_SLUG ); ?>
      </div>
      <?php
      endif;
      ?>

      <div class="_add-button mb30">
        <?php
        $link = admin_url() . 'admin.php?page=' . IPSWB_PAGENAME . '&action=createbox&slide_id=' . $this->boxId;
        ?>
        <a href="<?php echo $link; ?>" class="ipswb-btn ipswb-btn-success ipswb-btn-sm _add-page">
          <i class="ipswb-fa ipswb-fa-plus-circle"></i>
          <?php _e( 'Add New Box', IPSWB_SLUG ); ?>
        </a>
      </div>

    	<?php
      require_once( IPSWB_LIB . '/list/box.php' );
      $list = new IPSwb_List_Box( $this->boxId );
      $list->render();
      ?>

    </div>
    <!-- end: .ipswb-fields -->

  </div>
</div>
