<?php
/**
 * Shortcode backend view
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<!-- start: .ipswb-ui-modal -->
<div id="ipswb-shortcode-popup" class="ipswb-ui-modal ipswb_scwrap ipswb-wrap" style="display: none;">
  <!-- start: .ipswb-ui-modal-main -->
  <div class="ipswb-ui-modal-main">
    <!-- start: .ipswb-ui-modal-inner -->
    <div id="ipswb_sceditor_form" class="ipswb-ui-modal-inner">
      <!-- start: .ipswb-ui-modal-title -->
      <div class="ipswb-ui-modal-title">
        <h3><?php _e( 'Insert Slideshow', IPSWB_SLUG ); ?></h3>
        <div class="ipswb-ui-close">
          <a class="ipswb-ui-close-link" href="#">x</a>
        </div>
      </div>
      <!-- end: .ipswb-ui-modal-title -->

      <!-- start: .ipswb-ui-modal-content -->
      <div class="ipswb-ui-modal-content">
        <!-- start: .ipswb-form -->
        <form id="ipswb_scform_form" class="ipswb-form" action="" method="post">
          
          <!-- Start: .container -->
          <div class="container container-fluid">
          <div class="ipswb-fields">
            <?php
            /*
             * Slideshow
             */
            ?>
            <!-- start: .ipswb-field-row -->
            <div class="ipswb-field-row ipswb-field-x">
              <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-slide"><?php _e( 'Slideshow', IPSWB_SLUG ); ?></label>
              </div>

              <!-- start: .ipswb-field -->
              <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

                <select name="slide" id="ipswb-input-sc-slide">
                  <?php
                  foreach( $this->slides as $slide )
                  {
                    echo '<option value="' . $slide->ID . '">' . $slide->post_title . '</option>';
                  }
                  ?>
                </select>
              </div>
              <!-- end: .ipswb-field -->
            </div>
            <!-- end: .ipswb-field-row -->

            <div class="ipswb-sc-footer">
              <div class="ipswb-button">
                <input type="submit" class="ipswb-btn ipswb-btn-secondary ipswb-btn-md" name="ipswb_scadd_content" id="ipswb_scadd_content" value="<?php _e( 'Insert Slideshow', IPSWB_SLUG ); ?>" />
              </div>
            </div>

          </div>
          </div>
          <!-- End: .container -->
        </form>
        <!-- end: .ipswb-form -->
      </div>
      <!-- end: .ipswb-ui-modal-content -->
    </div>
    <!-- end: .ipswb-ui-modal-inner -->
  </div>
  <!-- end: .ipswb-ui-modal-main -->
</div>
<!-- end: .ipswb-ui-modal -->