<?php
/**
 * Controller to handling deleting box process
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPSwb_Ajax_Delete_box' ))
{
  class IPSwb_Ajax_Delete_box
  {
    /**
     * Execution save options process
     *
     * @return void
     */
    public function exec()
    {
      $item  = false;
      $slide = false;
      if ( ! empty( $_REQUEST['id'] )) {
        $id   = absint( $_REQUEST['id'] );
        $item = get_post( $id );
      }
      if ( ! empty( $_REQUEST['slide_id'] )) {
        $slideId = absint( $_REQUEST['slide_id'] );
        $slide   = get_post( $slideId );
      }
      if ( ! $item || ! $slide ) {
        echo json_encode( array(
          'status'   => 0,
          'message'  => __( 'Error system', IPSWB_SLUG )
        ) );
        die();
      }
      $result = wp_delete_post( $item->ID, true );
      if ( $result ) {
        echo json_encode( array(
          'status'   => 1,
          'message'  => __( 'Box successfully deleted', IPSWB_SLUG ),
          'redirect' => admin_url() . 'admin.php?page=' . IPSWB_PAGENAME . '&action=edit&id='.$slide->ID.'&tab=ipswb-section-items&deletebox=1'
        ) );
      } else {
        echo json_encode( array(
          'status'  => 0,
          'message' => __( 'Failed to remove the box', IPSWB_SLUG )
        ) );
      }
      die();
    }
  }
}
