<?php
/**
 * Admin dashboard view
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipswb-dashboard" class="wrap ipswb-wrap ipswb-admin">
  <div class="ipswb-inner">

    <?php
    $this->view( 'admin/general/header' );
    ?>

    <div class="ipswb-main">
      <div class="ipswb-main-info">
        <?php
        if ( isset( $_GET['create'] )) :
        ?>
        <div class="ipswb-alert ipswb-alert-success" style="display: block;">
          <?php _e( 'Successfully add a slideshow.', IPSWB_SLUG ); ?>
        </div>
        <?php
        elseif ( isset( $_GET['delete'] )) :
        ?>
        <div class="ipswb-alert ipswb-alert-success" style="display: block;">
          <?php _e( 'Successfully deleting a slideshow.', IPSWB_SLUG ); ?>
        </div>
        <?php
        endif;
        ?>
      </div>

      <div class="ipswb-primary">
        <div class="_add-button mb30">
          <?php
          $link = admin_url() . 'admin.php?page=' . IPSWB_PAGENAME . '-create';
          ?>
          <a href="<?php echo $link; ?>" class="ipswb-btn ipswb-btn-success ipswb-btn-sm _add-page">
            <i class="ipswb-fa ipswb-fa-plus-circle"></i>
            <?php _e( 'Add New Slideshow', IPSWB_SLUG ); ?>
          </a>
        </div>

        <?php
        require_once( IPSWB_LIB . '/list/boxes.php' );
        $list = new IPSwb_List_Boxes();
        $list->render();
        ?>
      </div>
    </div>

  </div>

</div>
