<?php
/**
 * Page navigation view
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div class="ipswb-sidebar">
  <div class="ipswb-sidebar-inner">
    <input type="hidden" name="tab_selected" id="ipswb-tab-selected" value="<?php echo $this->tab; ?>" />
    <ul class="ipswb-page-menu ipswb-tab-menu">
      <li>
        <a href="#ipswb-section-general" class="active">
          <i class="ipswb-fa ipswb-fa-cogs"></i>
          <strong><?php _e( 'General', IPSWB_SLUG ); ?></strong>
        </a>
      </li>
      <?php
      if ( $this->style ):
      ?>
      <li>
        <a href="#ipswb-section-block">
          <i class="ipswb-fa ipswb-fa-paint-brush"></i>
          <strong><?php _e( 'Block Design', IPSWB_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipswb-section-box">
          <i class="ipswb-fa ipswb-fa-paint-brush"></i>
          <strong><?php _e( 'Box Design', IPSWB_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipswb-section-media">
          <i class="ipswb-fa ipswb-fa-video-camera"></i>
          <strong><?php _e( 'Media', IPSWB_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipswb-section-content">
          <i class="ipswb-fa ipswb-fa-file-text-o"></i>
          <strong><?php _e( 'Content', IPSWB_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipswb-section-footer">
          <i class="ipswb-fa ipswb-fa-arrow-down"></i>
          <strong><?php _e( 'Footer', IPSWB_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#ipswb-section-slider">
          <i class="ipswb-fa ipswb-fa-arrows-h"></i>
          <strong><?php _e( 'Slider', IPSWB_SLUG ); ?></strong>
        </a>
      </li>
      <?php
      endif;
      ?>
    </ul>
  </div>
</div>
