<?php
/**
 * Box footer item
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! isset( $this->box ) || empty( $this->box )) {
	return false;
}
$style = $this->styleSetting;
$boxSt = $this->boxSetting;
if ( $style->getSetting( 'show_footer', 'true' ) == 'false' ) {
	return;
}
?>

<!-- start: .ipswb-box-footer -->
<div class="ipswb-box-footer">
	<div class="ipswb-box-footer-inner ipswb-clearfix">

		<?php 
		//Date info
		if ( $style->getSetting( 'show_footer_date_info', 'true' ) == 'true' ) :
		?>
		<div class="ipswb-box-footer-date">
			<?php 
			echo $boxSt->getSetting( 'box_date_info' );
			?>
		</div>
		<?php
		endif;
		?>

		<!-- start: .ipswb-box-actions -->
		<div class="ipswb-box-actions">
			<div class="ipswb-clearfix">

				<?php 
				//Button media
				$btnDetail = $style->getSetting( 'show_footer_button_media', 'true' );
				$mediaType = $boxSt->getSetting( 'media_type', 'video' );
				$videoUrl  = $boxSt->getSetting( 'youtube_url' );
				if ( $btnDetail == 'true' && $mediaType == 'video' && ! empty( $videoUrl ) ) :
				?>
				<div class="ipswb-box-action ipswb-action-media">
					<a href="<?php echo $videoUrl; ?>" data-id="<?php echo $this->box->ID; ?>" class="ipswb-action-link" target="_blank">
						<i class="ipswb-fa ipswb-fa-play"></i>
					</a>
				</div>
				<?php
				endif;
				?>

				<?php 
				//Button detail
				if ( $style->getSetting( 'show_footer_button_detail', 'true' ) == 'true' ) :
				?>
				<div class="ipswb-box-action ipswb-action-detail">
					<a href="#ipswb-box-detail-<?php echo $this->box->ID; ?>" data-id="<?php echo $this->box->ID; ?>" class="ipswb-action-link">
						<i class="ipswb-fa ipswb-fa-plus"></i>
					</a>
				</div>
				<?php
				endif;
				?>

			</div>
		</div>
		<!-- end: .ipswb-box-actions -->

	</div>
</div>
<!-- end: .ipswb-box-footer -->