<?php
/**
 * Block slideshow style
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$style    = $this->styleSetting;
//
//Image
$imgurl = false;
if ( $bgimg = $style->getSetting( 'block_background_image' ))
{
    $data = wp_get_attachment_image_src( $bgimg, 'full' );
    if ( ! empty( $data[0] )) {
        $imgurl = $data[0];
    }
}
$repeat   = $style->getSetting( 'block_background_repeat', 'repeat' );
$bgcolor  = $style->getSetting( 'block_background_color', '#f9f9f9' );
$bowidth  = $style->getSetting( 'block_border_width' );
$bocolor  = $style->getSetting( 'block_border_color', '#dddddd' );
$padding  = $style->getSetting( 'block_padding', 15 );
$mtop     = $style->getSetting( 'block_margin_top', 15 );
$mbottom  = $style->getSetting( 'block_margin_bottom', 15 );
?>

.ipswb-slideshow-<?php echo $this->slide->ID; ?> 
{
	margin-top: <?php echo $mtop; ?>px;
	margin-bottom: <?php echo $mbottom; ?>px;
}
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-slide-background
{
  background-color: <?php echo $bgcolor ?>;
  <?php
  if ( $imgurl ) {
    echo 'background-image: url(' . $imgurl . ');';
    echo 'background-repeat:'. $repeat . ';';
  }
  if ( $opacity = $style->getSetting( 'background_opacity' )) {
      $value = $opacity/100;
      echo 'opacity:' . $value . ';';
  }
  ?>
}
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-slide-wrapper 
{
	padding: <?php echo $padding; ?>px;
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}