<?php
/**
 * Slider style
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$style = $this->styleSetting;
?>

<?php
//Pagin control
$bgcolor  = $style->getSetting( 'paging_bgcolor', '#444444' );
$abgcolor = $style->getSetting( 'paging_active_bgcolor', '#222222' );
$bowidth  = $style->getSetting( 'paging_border_width' );
$bocolor  = $style->getSetting( 'paging_border_color', '#333333' );
$abocolor = $style->getSetting( 'paging_active_border_color', '#333333' );
?>
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .owl-controls .owl-dots .owl-dot,
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .bx-controls .bx-pager .bx-pager-item a
{
	background-color: <?php echo $bgcolor; ?>;
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .owl-controls .owl-dots .owl-dot.active,
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .owl-controls .owl-dots .owl-dot:hover,
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .bx-controls .bx-pager .bx-pager-item a.active,
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .bx-controls .bx-pager .bx-pager-item a:hover
{
	background-color: <?php echo $abgcolor; ?>;
	border-color: <?php echo $abocolor; ?>;
}


<?php
//Next/Prev
$bgcolor  = $style->getSetting( 'slider_dir_bgcolor', '#444444' );
$icolor   = $style->getSetting( 'slider_dir_icon_color', '#222222' );
$bowidth  = $style->getSetting( 'slider_dir_border_width' );
$bocolor  = $style->getSetting( 'slider_dir_border_color', '#333333' );
?>
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .bx-wrapper .bx-controls-direction a,
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .bx-wrapper .bx-controls-direction a:hover
{
	color: <?php echo $icolor; ?>;
}
.ipswb-slideshow-<?php echo $this->slide->ID; ?>.ipswb-slider-dir-circle .bx-controls-direction a,
.ipswb-slideshow-<?php echo $this->slide->ID; ?>.ipswb-slider-dir-square .bx-controls-direction a
{
	background-color: <?php echo $bgcolor; ?>;
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}
<?php
if ( $bowidth ) :
	$mt = $bowidth*2;
?>
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .bx-controls-direction i
{
	margin-top: -<?php echo $mt; ?>px;
}
<?php 
endif;
?>