<?php
/**
 * Box content item
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! isset( $this->box ) || empty( $this->box )) {
	return false;
}
$style = $this->styleSetting;
$boxSt = $this->boxSetting;

if ( $style->getSetting( 'show_content', 'true' ) == 'false' ) {
	return;
}
?>

<!-- start: .ipswb-box-content -->
<div class="ipswb-box-content">
	<div class="ipswb-box-content-inner">

		<?php 
		//Title
		if ( $style->getSetting( 'show_content_title', 'true' ) == 'true' ) :
		?>
		<div class="ipswb-box-header">
			<h3 class="ipswb-box-title">
				<?php 
				$max   = $style->getSetting( 'title_max_length', 36 );
				$title = $this->box->post_title;
				$title = wp_trim_words( $title, $max );
				echo $title;
				?>
			</h3>
		</div>
		<?php
		endif;
		?>

		<?php 
		//Content
		if ( $style->getSetting( 'show_content_desc', 'true' ) == 'true' ) :
		?>
		<div class="ipswb-box-desc">
			<?php 
			$max  = $style->getSetting( 'desc_max_length', 36 );
			$desc = $this->box->post_excerpt;
			$desc = wp_trim_words( $desc, $max );
			echo $desc; 
			?>
		</div>
		<?php
		endif;
		?>

	</div>
</div>
<!-- end: .ipswb-box-content -->