<?php
/**
 * Box media item
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! isset( $this->box ) || empty( $this->box )) {
	return;
}
$boxSt = $this->boxSetting;
$style = $this->styleSetting;

if ( $style->getSetting( 'slider_autoplay', 'true' ) == 'true' ){
	$autoplay = 'on';
} else {
	$autoplay = 'off';
}
if ( $style->getSetting( 'slider_hover_pause', 'false' ) == 'true' ){
	$pause = 'on';
} else {
	$pause = 'off';
}
if ( $style->getSetting( 'slider_resume_closing', 'true' ) == 'true' ){
	$closing = 'on';
} else {
	$closing = 'off';
}
if ( $style->getSetting( 'slider_direction', 'false' ) == 'true' ){
	$dirnav = 'on';
} else {
	$dirnav = 'off';
}
if ( $style->getSetting( 'slider_paging', 'false' ) == 'true' ){
	$paging = 'on';
} else {
	$paging = 'off';
}
$data  = ' data-layout="' . $style->getSetting( 'slideshow_layout', 'horizontal' ) . '"';
$data .= ' data-autoplay="' . $autoplay . '"';
$data .= ' data-hover-pause="' . $pause . '"';
$data .= ' data-resume-closing="' . $closing . '"';
$data .= ' data-direction-nav="' . $dirnav . '"';
$data .= ' data-paging-nav="' . $paging . '"';
$data .= ' data-count="' . $style->getSetting( 'item_count', 2 ) . '"';
$data .= ' data-slideshow-speed="' . $style->getSetting( 'slideshow_speed', 5000 ) . '"';
$data .= ' data-animation-speed="' . $style->getSetting( 'slider_animation_speed', 1000 ) . '"';
?>

<div class="ipswb-slide-settings"<?php echo $data; ?>></div>

<?php
//
//Media detail Audio
$audio = $style->getSetting( 'media_click_audio', 0 );
if ( ! empty( $audio ) ) :
  $path = IPSWB_BASE_URL . 'assets/audio/audio-' . $audio;
?>
<audio class="ipswb-audio ipswb-audio-media-detail" style="display:none;">
  <source src="<?php echo $path; ?>.mp3" type="audio/mpeg">
  <source src="<?php echo $path; ?>.ogg" type="audio/ogg">
  <?php _e( 'Your browser does not support this audio format.', IPSWB_SLUG ); ?>
</audio>
<?php
endif;
?>

<?php
//
//Box detail Audio
$audio = $style->getSetting( 'content_detail_audio', 0 );
if ( ! empty( $audio ) ) :
  $path = IPSWB_BASE_URL . 'assets/audio/audio-' . $audio;
?>
<audio class="ipswb-audio ipswb-audio-box-detail" style="display:none;">
  <source src="<?php echo $path; ?>.mp3" type="audio/mpeg">
  <source src="<?php echo $path; ?>.ogg" type="audio/ogg">
  <?php _e( 'Your browser does not support this audio format.', IPSWB_SLUG ); ?>
</audio>
<?php
endif;
?>