<?php
/**
 * Media content style
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$style  = $this->styleSetting;

$height   = $style->getSetting( 'media_height', 120 );
$icolor   = $style->getSetting( 'media_icon_color', '#ffffff' );
$obgcolor = $style->getSetting( 'media_hover_overlay_color', '#000000' );
$_obgopa  = $style->getSetting( 'media_hover_overlay_opacity', 20 );

$obgopa   = 1 - $_obgopa/100;
?>

.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-box-media .ipswb-overlay-layer
{
  background-color: <?php echo $obgcolor; ?>;
  opacity: <?php echo $obgopa; ?>!important;
}
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-box-media.ipswb-animation-fade:hover .ipswb-overlay-layer
{
  opacity: <?php echo $obgopa; ?>!important;
}
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-box-media .ipswb-overlay-icon,
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-box-media .ipswb-overlay-icon:hover
{
  color: <?php echo $icolor; ?>;
}
<?php
$bgcolor = $style->getSetting( 'media_detail_overlay_color', '#000000' );
$_bgopa  = $style->getSetting( 'media_detail_overlay_opacity', 20 );
$icolor  = $style->getSetting( 'media_detail_close_color', '#dddddd' );

$bgopa   = 1 - $_bgopa/100;
?>

.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-box-h .ipswb-box-media
{
  height: <?php echo $height; ?>px;
}

#ipswb-slideshow-modals-<?php echo $this->slide->ID; ?> .ipswb-media-detail .ipswb-overlay
{
  background-color: <?php echo $bgcolor; ?>;
  opacity: <?php echo $bgopa; ?>;
}
#ipswb-slideshow-modals-<?php echo $this->slide->ID; ?> .ipswb-media-detail .ipswb-media-detail-close
{
  color: <?php echo $icolor; ?>;
}

<?php
$bheight = $style->getSetting( 'box_height', 180 );
?>
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-box-v .ipswb-box-primary,
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-box-v .ipswb-box-media
{
  width: <?php echo $style->getSetting( 'media_width', 240 ); ?>px;
}
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-box-v .ipswb-box-primary,
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-box-v .ipswb-box-secondary
{
  height: <?php echo $bheight; ?>px;
  max-height: <?php echo $bheight; ?>px;
}
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-box-v .ipswb-box-media,
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-box-v .ipswb-box-content
{
  height: <?php echo $height; ?>px;
}